Bug 1774842 - "Rebuild" item is disabled for common user
Summary: "Rebuild" item is disabled for common user
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1774843 1779316
TreeView+ depends on / blocked
 
Reported: 2019-11-21 05:44 UTC by Yanping Zhang
Modified: 2020-05-04 11:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the "Rebuild" action on the OpenShift console Build page was incorrectly disabled for users who were not cluster-admin. This has been fixed, and the action is now correctly enabled for normal users who should have permission to clone builds.
Clone Of:
: 1774843 1779316 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:16:09 UTC
Target Upstream Version:


Attachments (Terms of Use)
rebuild-item (97.49 KB, image/png)
2019-11-21 05:44 UTC, Yanping Zhang
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 3649 'None' closed Bug 1774842: Fix clone build access review 2020-04-17 17:12:18 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:16:42 UTC

Description Yanping Zhang 2019-11-21 05:44:10 UTC
Created attachment 1638307 [details]
rebuild-item

Description of problem:
Common user tries to rebuild a build by click "Rebuild" item in action list from console. The "Rebuild" item is gray and disabled.

Version-Release number of selected component (if applicable):
4.3.0-0.nightly-2019-11-19-122017

How reproducible:
Always

Steps to Reproduce:
1.Common user creates app in project, after starts a build, tries to rebuild the build by click "Rebuild" item in action list.
2.
3.

Actual results:
1.The "Rebuild" item is gray and disabled.


Expected results:
1."Rebuild" should be enabled and user could rebuild successfully.

Additional info:
Cluster-admin user could rebuild successfully.

Comment 1 Samuel Padgett 2019-11-21 14:16:52 UTC
I was able to reproduce, but not reliably. Does the action become enabled for you when refreshing the page?

I suspect we're racing. We make the self subject access review request too soon after the resource was created.

Comment 2 Samuel Padgett 2019-11-21 14:49:58 UTC
Lowering the severity because this only happens immediately after creating the build and there's a simple workaround.

Comment 3 Yanping Zhang 2019-11-22 02:44:18 UTC
From my test, it's not only happens immediately after creating the build. The "Rebuild" item would not be enabled after refresh page, even after waiting for a long time.

Comment 4 Yanping Zhang 2019-11-27 08:41:43 UTC
According Comment 3 and the bug blocks our auto process, I'd like to raising the bug severity level.

Comment 5 Samuel Padgett 2019-12-03 18:18:33 UTC
I'm mistaken. The access review check is wrong. https://github.com/openshift/console/pull/3649 has the fix. Thanks, Yanping.

Comment 7 Yanping Zhang 2019-12-16 03:09:06 UTC
Tested on ocp 4.3 with payload version 4.4.0-0.nightly-2019-12-14-103510, now the "Rebuild" item on build action/kebab list is enabled, and clicking on the "Rebuild" will trigger a new build.
The bug is fixed, so move it to Verified.

Comment 9 errata-xmlrpc 2020-05-04 11:16:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.